<?php
//Vérification (non authentifié = retour index)
session_start();

if(!$_SESSION['accreditation']=="Administrateur" && !$_SESSION['accreditation']=="Etudiant")
header('Location:../index.php');

//Connexion à la BdD
include "../session/connexion.php";



//Récupération valeur depuis mod.php
$noGroupeRecup = $_SESSION['noGroupe'];
$nomGroupeRecup = $_POST['nomGroupe'];


$nbrEtudiants = $_SESSION['nbrEtudiants'];



include "fonctionsLogin.php"; //Chargement des fontions utilisées



//Modification du nom du groupe
$result=$objPdo->prepare("UPDATE groupe SET libelle_groupe='$nomGroupeRecup' WHERE no_groupe ='$noGroupeRecup'");
$result->execute();



//compteur d'étudiants
$i=1;

//Modification des valeurs dans la BdD de façon dynamique pour chaque étudiant par étudiant à partir du formulaire rempli


//$etudiants=$objPdo->prepare("SELECT * FROM etudiant WHERE no_groupe = '$noGroupeRecup'");
//$etudiants->execute();


for($i;$i<$nbrEtudiants;$i++)
{
	
	$nomEtu = "nomEtu".$i;
	$prenomEtu ="prenomEtu".$i;
	$noEtu = $_SESSION['noEtudiant'.$i];
	

	if($_POST[$nomEtu]!="" && $_POST[$prenomEtu]!="")
    {
        	$verif=true;
			
			//détection doublons deviens inutile 
			//car on modifie à la main (cas homonymes par exemple !)
		
		
			//Modif nom et prénom
            $result1=$objPdo->prepare("UPDATE etudiant SET nom_etu='".htmlspecialchars($_POST[$nomEtu])."',prenom_etu='".htmlspecialchars($_POST[$prenomEtu])."'WHERE no_etu='$noEtu'");
			$result1->execute();	
			
			
			//Récupération de l'id de la session existante
            $session=$objPdo->prepare("SELECT id_session FROM etudiant WHERE (nom_etu='".htmlspecialchars($_POST[$nomEtu])."' AND prenom_etu='".htmlspecialchars($_POST[$prenomEtu])."')");
			$session->execute();
			
            while($rowSession=$session->fetch())
            {
                    $idsession=$rowSession['id_session']; //Stockage de la valeur dans une variable de travail
            
			// RE-GÉNÉRATION de l'identifiant en fct des nouveaux nom/premon
            $identifiant = GenereLogin(htmlspecialchars($_POST[$nomEtu]),htmlspecialchars($_POST[$prenomEtu]));
			
			//Modification d'une session associée à l'étudiant
            $result2=$objPdo->prepare("UPDATE session SET identifiant='".$identifiant."' WHERE id_session ='".$idsession."'");
			$result2->execute();
            
			}
		
    }
	
}

header("Location: ../accueil.php"); //Redirection vers l'acceuil
?>